﻿
using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.DockManager;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            try
            {
                ScrollViewer scrollV = new ScrollViewer();
                UserControl1 control = new UserControl1();
                scrollV.Content = control;
                ContentPane newContentPane = this.LayoutRoot.AddDocument("Clientes", scrollV);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "CLientes", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        private void ButtonTool_Click(object sender, RoutedEventArgs e)
        {
            ContentPane cp = Utilities.GetDescendantFromType(this, typeof(ContentPane), true) as ContentPane;
            if (cp.Header == "Clientes")
            {
                XamDataGrid xdg = Utilities.GetDescendantFromType(cp, typeof(XamDataGrid), true) as XamDataGrid;
                if (xdg.ActiveRecord != null)
                {
                    MessageBox.Show(xdg.ActiveRecord.ToString());
                }
                else
                    MessageBox.Show("There isn't a selected Record!");
            }
        }
    }
}
